using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using PhilExampleCrawler.Common.Models;

namespace PhilExample.Interfaces
{
    internal interface IUserService
    {
        User CurrentUser { get; }
        Task<bool> LoginAsync(int userID);
        Task<User> RegisterUserAsync(string authCode, string phoneNumber, bool optin_telegram);
    }
}
